# Tag user

Attaching a tag to a user is technically a "find-or-create" operation. If the tag doesn't exist, it'll be created and attached to the user specified. If it already exists, it'll only be attached to the user.

> Note: If you try to create the same tag multiple times, it'll just be attached once.

Endpoint: POST /users/{user_id}/tags
Version: v1
Security: AuthToken

## Path parameters:

  - `user_id` (integer, required)
    The ID of the user.

## Request fields (application/x-www-form-urlencoded):

  - `value` (string)
    The value of the tag to be created or attached.
    Example: "Awesome"

## Response 200 fields (application/json):

  - `id` (integer)
    Unique identifier for the resource instance.
    Example: 1234567

  - `value` (string, required)
    Tag name.
    Example: "New"

## Response 400 fields (application/json):

  - `message` (string)
    Example: "bad data"

  - `errors` (array)
    Example: ["Value can't be blank","Value is too short (minimum is 1 character)"]

## Response 404 fields (application/json):

  - `message` (string)
    Example: "not found"


